/* Set the size of the div element that contains the map */
#map {
  height: 85%;
  width: 100%;
}


img.svg-image-feedback {
    width: 26%;
}

.field * {
    border-radius: 0;
    border-width: 1px;
}

.form-container {
    font-weight: 500;
}

span.help-text {
    color: silver;
    font-weight: normal;
}

#id-school .image-container img{
    max-width: 100%;
}

section#id-feedback {
    background-color: var(--comp-new-white-smoke);
}

form#id-comment-form #id-submit-btn{
    font-weight: 600;
    width: 30%;
    height: 60px;
    font-size: larger;
}

form#id-comment-form #id-submit-btn:hover{
    background: hsla(232, 54%, 37%, 1);
}

form#id-comment-form #id-submit-btn:active{
    border: 1ps solid var(--comp-navy-blue);
    background: var(--comp-navy-blue);
    color: white;
    width: 30%;
    height: 60px;
}

form#id-comment-form #id-submit-btn:focus{
    border-color: hsl(176deg 100% 45%);
    outline: 0;
    box-shadow: 0 0 0 0.25rem hsl(176deg 100% 40% / 25%);
}

#id-feedback h2 {
    font-size: 40px;
    font-size: 50px;
}

div#id-banner {
    height: 100vh;
    overflow: hidden;
    width: 100%;
    position: relative;
}

.play-btn-container {
    position: absolute;
    top: 0px;
    bottom: 0px;
    right: 0px;
    left: 0px;
    display: flex;
    background-color: hsl(0deg 0% 0% / 43%);
}

.play-btn-container i.bi.bi-play-fill {
    color: var(--comp-light-blue);
    font-size: 150px;
    height: min-content;
    width: min-content;
    margin-top: auto;
    margin-bottom: auto;
    margin-right: auto;
    margin-left: auto;
}

.video-container video {
    max-width: 100%;
    display: block;
    max-height: 95vh;
}

.comment-container {
    max-width: 400px;
    padding: 15px;
    font-size: 18px;
    clip-path: polygon(0% 0%, 100% 0%, 100% 75%, 75% 75%, 75% 100%, 50% 75%, 0% 75%);
    padding-bottom: 5%;
    background: var(--comp-navy-blue);
    color: white;
}

.commentor-name {
    margin-bottom: 10px;
}

#id-headmaster-foreword-container{
    background-color: var(--comp-new-white-smoke);
    min-height: 100vh;
    max-height: 1000px;
}

#id-learner-resources{
    min-height: 100vh;
}

#id-learner-resources .content {
    min-height: 100%;
}

#id-learner-resources ul{
    list-style: none;
}

#id-resources-btn{
    background-color: var(--comp-light-blue);
    color:white;
    height: 60px;
    width: 250px;
    vertical-align: middle;
}

#id-resources-btn:hover{
    border-color: var(--comp-light-blue);
    background-color: var(--comp-navy-blue);
    color: white;
}

#id-headmaster-foreword span.quotation-mark{
    font-size: 100px;
    font-weight: bolder;
    line-height: 1;
    height: 0px;
}

#id-headmaster-foreword{
    text-align: justify;
    font-family: "mavenpro-regular", serif;
}

span.last-name, span.last-name{
    font-size: 20px;
}

span.comment-datetime {
    font-size: 11px;
    color: silver;
}

#headmaster{
    display: flex;
    justify-content: center;
    align-content: center;
}

p#id-foreword {
    font-family: mavenopro-regular, serif;
    font-size: 20px;
}

@media only screen and (max-width: 576px) {
    #id-headmaster-foreword{
        font-size: 17px;
    }

    #id-headmaster-foreword span{
        font-size: 18px;
    }

    #id-resources-btn{
        font-size: 15px;
        font-family: 'mavenpro-semibold', serif;
    }
}

@media only screen and (max-width: 768px) {
    #id-headmaster-foreword{
        font-size: 15px;
    }
    #headmaster{
        min-height: 70vh;
    }
}

@media only screen and (min-width: 768px) {
    #id-headmaster-foreword{
        font-size: 20px;
    }
    #headmaster{
        min-height: 100vh;
    }
}

@media only screen and (min-width: 992px) {
    .form-container {
        max-width: 1200px;
    }
}

@media only screen and (min-width: 1200px) {
    #id-feedback > * {
         margin-left: 2%;
        max-width: 1200px;
    }

    .video-container{
        margin-left: 2%;
        position: relative;
    }
}

@media only screen and (min-width: 1400px) {

    .video-container {
        margin-left: 10%;
    }

     #id-feedback > *{
        margin-left: 10%;
    }
}

@media only screen and (max-width: 576px){
    img.svg-image-feedback{
        width: 35%;
    }

    #id-feedback h2{
        font-family: 'baloothambi2-regular', serif;
        font-weight: normal;
        font-size: 30px;
    }
}

@media only screen and (min-width: 576px) {
    .form-container {
        max-width: fit-content;
    }
}

@media only screen and (max-width: 768px) {

    span.help-text {
        font-size: 12px;
    }

    #id-banner div h1 {
        font-size: 26px;
        top: 50%;
    }

    #id-banner img {
        width: 100%;
        height: 100%;
        overflow: hidden;
        filter: brightness(100%);
        object-fit: cover;
        object-position: left -100px top 0;
    }

     #id-banner div h1 {
        font-size: 30px;
        top: 0;
        text-shadow: 0 0 5px black;
    }

}

@media only screen and (min-width: 768px) {
    span.help-text {
        font-size: 15px;
    }

    #id-banner img {
        width: 100%;
        height: 100%;
        filter: brightness(85%);
        object-fit: cover;
        -webkit-transform: scaleX(-1);
        transform: scaleX(-1);
        object-position: 0px 15%;
        z-index: 2;
    }

    #id-banner div.position-absolute {
        top: 0;
        bottom: 0;
        color: white;
        right: 20%;
        left: 0;
    }

    .form-container {
        max-width: 95%;
    }

    img.svg-image-feedback{
        width: 30%;
    }

    section#id-school img{
        width: 100%;
        object-fit: cover;
    }
}
main{
    overflow-x: hidden;
}


#id-banner .hr{
    height: 2px;
    background-color: white;
    width: 100%;
}

#id-banner .deco-line-1{
    height: 40%;
    position: absolute;
    width: 40px;
    background-color: aquamarine;
    transform: skewX(-9deg);
    top: 60%;
    left: 51%;
    z-index: 2;
    opacity: 20%;
}


#id-banner .deco-line-2 {
    position: absolute;
    width: 40px;
    transform: skewX(-9deg);
    top: 18%;
    bottom: 7%;
    left: 4%;
    z-index: 2;
    border-image: linear-gradient(90deg, hsl(0deg, 0%, 95%, 80%), aquamarine) 1;
    border-width: 4px;
    border-style: solid;
    opacity: 20%;
}

#id-banner .deco-line-3 {
    height: 100%;
    position: absolute;
    width: 60px;
    transform: skewX(-9deg);
    left: 74%;
    opacity: 25%;
    z-index: 2;
    background: linear-gradient(90deg, hsl(0deg, 0%, 95%, 80%), transparent, transparent, transparent, transparent);
}

#id-banner-words-container div.text-container-1{
    font-size: 26px;
    position: absolute;
    top: 20%;
    z-index: 10;
}


#id-banner-words-container div.text-container-2{
    font-size: 25px;
    max-width: 80%;
    position: absolute;
    top: 50%;
}


#id-banner-words-container div.text-container-3{
    color:  white;
    font-size: 20px;
    position: absolute;
    top: 75%;
}

#id-banner{
    max-height: 100vh;
    width: 100%;
    position: relative;
    height: max-content;
    height: 100%;
    max-height: 100%;
}

#id-banner-words-container {
    z-index: 3;
    clip-path: polygon(0% 0%, 100% 0%, 75% 100%, 0% 100%);
    position: absolute;
    top: 0;
    left: 0;
    right: 60%;
    bottom: 0;
    padding-left: 20px;
    background-color: #10314f;
    min-width: 30%;
    color: white;
}

#id-banner-image{
    transform: scaleX(-1);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

@media only screen and (max-width:  768px){
    #id-banner-words-container, .deco-line-2, .deco-line-1{
        display: none;
    }
}
